%--------------------------------
% load initial values for tracers
%--------------------------------

% some need to be loaded from files
  tempstring = strtrim('t_n2');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_n2 = load(tempstring);

  tempstring = strtrim('t_o2');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_o2 = load(tempstring);

  tempstring = strtrim('t_dic');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_dic = load(tempstring);

  tempstring = strtrim('t_nh4');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_nh4 = load(tempstring);

  tempstring = strtrim('t_no3');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_no3 = load(tempstring);

  tempstring = strtrim('t_po4');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_po4 = load(tempstring);

  tempstring = strtrim('t_spp');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_spp = load(tempstring);

  tempstring = strtrim('t_zoo');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_zoo = load(tempstring);

  tempstring = strtrim('t_h2s');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_h2s = load(tempstring);

  tempstring = strtrim('t_alk');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_alk = load(tempstring);

  tempstring = strtrim('t_ipw');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_ipw = load(tempstring);

  tempstring = strtrim('t_lpp');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_lpp = load(tempstring);

  tempstring = strtrim('t_cya');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_cya = load(tempstring);

  tempstring = strtrim('t_det');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_vector_t_det = load(tempstring);

  tempstring = strtrim('t_sed');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_scalar_t_sed = load(tempstring);

  tempstring = strtrim('t_ips');
  tempstring = strcat('init/',tempstring,'.txt');
  tracer_scalar_t_ips = load(tempstring);



% others are initialized as constant
  tracer_vector_t_sul = ones(kmax,1)*0.0;

% some tracers have vertical movement
  vertical_speed_of_t_ipw = zeros(kmax,1);
  vertical_diffusivity_of_t_ipw = zeros(kmax,1);
  vertical_speed_of_t_lpp = zeros(kmax,1);
  vertical_diffusivity_of_t_lpp = zeros(kmax,1);
  vertical_speed_of_t_cya = zeros(kmax,1);
  vertical_diffusivity_of_t_cya = zeros(kmax,1);
  vertical_speed_of_t_det = zeros(kmax,1);
  vertical_diffusivity_of_t_det = zeros(kmax,1);

% auxiliaries which communicate data from the last time step are set to 0
  auxiliary_scalar_h3o             = 0.0;
